Subject: Re: Is this an acceptable workflow in git-svn, or a user error?

From: Sam Vilain <[email-masked]>
Date: Sun, 10 Jun 2007 19:49:14 +1200

Sam Vilain wrote:
> Eric Wong wrote:
>   
>>> Is my understanding correct?
>>>       
>> Yes.  Since dcommit uses rebase, it'll rewrite history.  
>>     
> Maybe these new lightweight annotations could be a way around that?
>   

Actually I don't think that will work either unless you start
encapsulating extra git information (author/committer email/timestamps)
in the svn commit somewhere, so that someone else fetching the commits
from svn directly will end up with the same git commitid. And then
there's still the issue of merges.

Sam.